package com.yc.ship.module.otc.api.link.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 链接管理 Response VO")
@Data
public class LinkDetailRespDTO {

    @Schema(description = "门店ID")
    private Long storeId;

    @Schema(description = "门店名称")
    private String storeName;

    @Schema(description = "售票员ID")
    private Long userId;

}
