package com.yc.ship.module.otc.api.store.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Schema(description = "RPC 服务 - 门店交易信息Request DTO")
@Data
public class StoreRespDTO implements Serializable {

    @Schema(description = "日志ID", example = "")
    private Long Id;

    @Schema(description = "交易金额", example = "")
    private BigDecimal amount;

    @Schema(description = "交易前金额", example = "")
    private BigDecimal beforeAmount;

    @Schema(description = "交易后金额", example = "")
    private BigDecimal afterAmount;

}
