package com.yc.ship.module.resource.controller.admin.project.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 产品项目精简信息 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProjectSimpleRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "6825")
    private Long id;

    @Schema(description = "名称", example = "赵六")
    private String name;

    @Schema(description = "父项目id", example = "0")
    private Long parentId;

    @Schema(description = "类型:0项目1自定义规格2默认规格", example = "1")
    private Integer type;

    @Schema(description = "编码", example = "0")
    private String code;

}