package com.yc.ship.module.ota.api.dto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - 分销商交易")
@Data
public class BillOrderVerifyReqDTO {

    @Schema(description = "旅行社ID", example = "27454")
    @NotNull
    private Long agencyId;

    @Schema(description = "门店ID", example = "27454")
    @NotNull
    private Long storeId;

}
