package com.yc.ship.module.ota.api.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;


/**
 * 分销商充值
 */
@Schema(description = "RPC 服务 - 分销商交易")
@Data
public class BillResetReqDTO {

    @Schema(description = "订单ID", example = "27454")
    @NotNull
    private Long orderId;

    @Schema(description = "退款金额", example = "1")
    @NotNull
    private BigDecimal refundAmount;
}
