package com.yc.ship.module.otc.api.agency.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Schema(description = "RPC 服务 - 旅行社用户登录信息Request DTO")
@Data
public class AgencyUserLoginInfoReqDTO implements Serializable {

    @Schema(description = "用户ID", example = "")
    private Long userId;

    @Schema(description = "访问令牌", example = "")
    private String accessToken;


}
