package com.yc.ship.module.otc.controller.admin.store.machine;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 关联设备新增/修改 Request VO")
@Data
public class StoreMachineSaveReqVO {

    @Schema(description = "门店ID", example = "24819")
    private Long storeId;

    @Schema(description = "设备编码", example = "30745")
    private String machineId;

    @Schema(description = "设备名称", example = "张三")
    private String machineName;

    @Schema(description = "设备类型", example = "2")
    private Integer machineType;

    @Schema(description = "设备状态", example = "2")
    private Integer machineStatus;

    @Schema(description = "是否启用")
    private Long isUse;

    @Schema(description = "排序")
    private Integer sortNum;

}
