package com.yc.ship.module.otc.controller.admin.store.user;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 门店账号关联 Response VO")
@Data
public class StoreUserSimpleRespVO {

    @Schema(description = "主键ID", example = "24433")
    private Long id;

    @Schema(description = "门店ID", example = "24433")
    private Long storeId;

    @Schema(description = "关联账号ID", example = "15150")
    private Long userId;

    @Schema(description = "关联账号名称", example = "15150")
    private String userName;

}
