package com.yc.ship.module.otc.controller.admin.storescheduling.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 班次管理新增/修改 Request VO")
@Data
public class StoreSchedulingSaveReqVO {

    @Schema(description = "班次表ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "18302")
    private Long id;

    @Schema(description = "班次名称", example = "芋艿")
    private String name;

    @Schema(description = "开始时间")
    private String startTime;

    @Schema(description = "结束时间")
    private String endTime;

}
