package com.yc.ship.module.resource.controller.admin.site.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Schema(description = "管理后台 - 站点新增/修改 Request VO")
@Data
public class ScenicSiteSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "14577")
    private Long id;

    @Schema(description = "名称", example = "张三")
    private String name;

    @Schema(description = "站点类型;0售票站点 1检票站点", example = "2")
    private Integer siteType;

    @Schema(description = "是否启用")
    private Integer isUse;

    @Schema(description = "排序")
    private Integer sortNum;

    @Schema(description = "经度")
    private String longitude;

    @Schema(description = "纬度")
    private String latitude;

}
